diff --git mythtv/i18n/mythfrontend_es_es.ts mythtv/i18n/mythfrontend_es_es.ts
index 3931ca6..8c50117 100644
--- mythtv/i18n/mythfrontend_es_es.ts
+++ mythtv/i18n/mythfrontend_es_es.ts
@@ -10060,7 +10061,7 @@ name cannot be blank.</source>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="3614"/>
         <source>Screen Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración de Pantalla</translation>
     </message>
     <message>
         <source>Long Channel format</source>
@@ -10086,7 +10087,7 @@ name cannot be blank.</source>
     <message>
         <location filename="../libs/libmythtv/channelsettings.cpp" line="213"/>
         <source>Filters to be used when recording from this channel.  Not used with hardware encoding cards.</source>
-        <translation>Filtros a usar cuando se grabe de este canal. No se usan con tarjetas con codificación por hardware.</translation>
+        <translation>Filtros a usar cuando se grabe de este canal. No se usa con tarjetas con codificación por hardware.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/channelsettings.cpp" line="227"/>
@@ -10096,17 +10097,17 @@ name cannot be blank.</source>
     <message>
         <location filename="../libs/libmythtv/channelsettings.cpp" line="228"/>
         <source>Filters to be used when recordings from this channel are viewed.  Start with a plus to append to the global playback filters.</source>
-        <translation>Filtros a usar cuando las grabaciones de este canal sean vistas. Comience con un + para añadir a los filtros de reproducción globales.</translation>
+        <translation>Filtros a usar cuando las grabaciones de este canal sean vistas. Comience con un + para añadirlos a los filtros de reproducción globales.</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/recordingtypes.cpp" line="49"/>
         <source>Override Recording</source>
-        <translation>Anular grabado prefijado</translation>
+        <translation>Ignorar Grabación</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/programtypes.cpp" line="175"/>
         <source>Don&apos;t Record</source>
-        <translation>No grabar</translation>
+        <translation>No Grabar</translation>
     </message>
     <message>
         <source>External application or script to run when a keypress is received by LIRC.</source>
@@ -10119,12 +10120,12 @@ name cannot be blank.</source>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="1900"/>
         <source>Separate video modes for GUI and TV playback</source>
-        <translation>Modos de video separados para la GUI y la TV</translation>
+        <translation>Modos de vídeo separados para la GUI y la TV</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="2041"/>
         <source>Video Mode Settings</source>
-        <translation>Ajustes de modos de video</translation>
+        <translation>Configuración de Modos de Vídeo</translation>
     </message>
     <message>
         <source>Override Recordings Priority</source>
@@ -10145,17 +10146,17 @@ name cannot be blank.</source>
     <message>
         <location filename="../libs/libmyth/programinfo.cpp" line="4712"/>
         <source>Commercial Free</source>
-        <translation>Sin anuncios</translation>
+        <translation>Sin Anuncios</translation>
     </message>
     <message>
         <location filename="../programs/mythtv-setup/backendsettings.cpp" line="509"/>
         <source>Startup command</source>
-        <translation>Comando arranque</translation>
+        <translation>Orden de Inicio</translation>
     </message>
     <message>
         <location filename="../programs/mythtv-setup/backendsettings.cpp" line="511"/>
         <source>This command is executed right after starting the BE. As a parameter &apos;$status&apos; is replaced by either &apos;auto&apos; if the machine was started automatically or &apos;user&apos; if a user switched it on.</source>
-        <translation>Este comando se ejecuta justo al arrancar el backend. Como parámetro &apos;$status&apos; se reemplazar por &apos;auto&apos; si la máquina fue lanzada automáticamente o &apos;user&apos; si un usuario la encendió.</translation>
+        <translation>Esta orden se ejecuta tras iniciar el servidor. Como parámetro, &apos;$status&apos; será reemplazado por &apos;auto&apos; si la máquina fue iniciada automáticamente o &apos;user&apos; si un usuario la encendió.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/recordingrule.cpp" line="232"/>
@@ -10181,7 +10182,7 @@ name cannot be blank.</source>
         <location filename="../libs/libmythtv/recordingrule.cpp" line="501"/>
         <source>(%1 or later) %3</source>
         <comment>e.g. (Sunday or later) program subtitle</comment>
-        <translation type="unfinished"></translation>
+        <translation>(%1 o posterior) %3</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/programinfo.cpp" line="1432"/>
@@ -10197,12 +10198,12 @@ name cannot be blank.</source>
     <message>
         <location filename="../libs/libmyth/programtypes.cpp" line="307"/>
         <source>another program with a higher priority will be recorded.</source>
-        <translation>otro programa con una prioridad mayor será grabado.</translation>
+        <translation>se grabará otro programa con una prioridad mayor.</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/programtypes.cpp" line="311"/>
         <source>this episode will be recorded at a later time.</source>
-        <translation>este episodio será grabado más adelante.</translation>
+        <translation>este episodio será grabado posteriormente.</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/settings.cpp" line="806"/>
@@ -10218,12 +10219,12 @@ name cannot be blank.</source>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="2645"/>
         <source>If specified, this command will be run to change the channel for inputs which have an external tuner device such as a cable box. The first argument will be the channel number.</source>
-        <translation>Si se especifica, este comando se ejecutará para cambiar el canal de entradas que tengan un sintonizador externo. El primer argumento será el número de canal.</translation>
+        <translation>Si se especifica, esta orden se ejecutará para cambiar el canal en entradas que posean un sintonizador externo, como un receptor de TV por cable. El primer argumento será el número de canal.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="2661"/>
         <source>Leave this blank unless you have an external tuner that is connected to the tuner input of your card. If so, you will need to specify the preset channel for the signal (normally 3 or 4).</source>
-        <translation>Deje en blanco a no ser que tenga un sintonizador externo conectado a la entrada de su tarjeta. Si es así, necesitará establecer el canal por defecto para la señal (normalmente 3 o 4).</translation>
+        <translation>Déjelo vacío a menos que posea un sintonizador externo conectado a la entrada de su tarjeta. Si es así, necesitará especificar el canal preconfigurado para la señal (normalmente 3 ó 4).</translation>
     </message>
     <message>
         <source>MythTV can control the PCM and master mixer volume.  If you prefer to use an external mixer program, then disable this option.</source>
@@ -10240,12 +10241,12 @@ name cannot be blank.</source>
     <message>
         <location filename="../libs/libmythtv/videodisplayprofile.cpp" line="698"/>
         <source>Linear blend</source>
-        <translation>Linear blend</translation>
+        <translation>Mezcla lineal</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videodisplayprofile.cpp" line="714"/>
         <source>One field</source>
-        <translation>One field</translation>
+        <translation>Un campo</translation>
     </message>
     <message>
         <source>Show group summary</source>
@@ -10352,17 +10353,17 @@ name cannot be blank.</source>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="1891"/>
         <source>If enabled, use the above size for TV, otherwise use full screen.</source>
-        <translation>Si está activado, usar este tamaño para la TV, sino se usará pantalla completa.</translation>
+        <translation>Si se activa, usar este tamaño para la TV, si no, usar la pantalla completa.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="1902"/>
         <source>Switch X Window video modes for TV. Requires &quot;xrandr&quot; support.</source>
-        <translation>Cambiar modos de video X para la TV. Requiere soporte &quot;xrandr&quot;.</translation>
+        <translation>Conmutar modos de vídeo X Window para la TV. Requiere el uso de &quot;xrandr&quot;.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="2104"/>
         <source>Toggles between windowed and borderless operation.</source>
-        <translation>Cambia entre funcionamiento en ventana o sin borde.</translation>
+        <translation>Cambia entre el modo ventana y el modo sin borde.</translation>
     </message>
     <message>
         <source>At startup, MythTV will change the Qt widget style to this setting.  If &quot;Desktop Style&quot; is selected, MythTV will use the existing desktop setting.</source>
@@ -10439,17 +10440,17 @@ name cannot be blank.</source>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="3264"/>
         <source>This starts the program guide immediately upon starting to watch Live TV.</source>
-        <translation>Esto arranca la guía de programas inmediátamente al ver la TV.</translation>
+        <translation>Inicia la guía de programas inmediatamente al comenzar a ver la TV en Vivo.</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/programinfo.cpp" line="800"/>
         <source>Directed By</source>
-        <translation>Dirigida por</translation>
+        <translation>Dirigida Por</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="3263"/>
         <source>Show the program guide when starting Live TV</source>
-        <translation>Mostrar guía de programas al ver la TV</translation>
+        <translation>Mostrar la guía de programas al iniciar la TV en Vivo</translation>
     </message>
     <message>
         <source>The horizontal offset the GUI will be displayed at.  May only work if run in a window.</source>
@@ -10462,17 +10463,17 @@ name cannot be blank.</source>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="3419"/>
         <source>Commercial Skip</source>
-        <translation>Salto anuncios</translation>
+        <translation>Salto de Anuncios</translation>
     </message>
     <message>
         <location filename="../programs/mythtv-setup/backendsettings.cpp" line="521"/>
         <source>Maximum simultaneous jobs on this backend</source>
-        <translation>Máx. nº tareas simultáneas en éste backend</translation>
+        <translation>Máximo nº de tareas simultáneas en este servidor</translation>
     </message>
     <message>
         <location filename="../programs/mythtv-setup/backendsettings.cpp" line="522"/>
         <source>The Job Queue will be limited to running this many simultaneous jobs on this backend.</source>
-        <translation>La cola de tareas será limitada a este número simultáneo de tareas en este backend.</translation>
+        <translation>La Cola de Tareas se limitará a ejecutar esta cantidad de tareas simultáneas en este servidor.</translation>
     </message>
     <message>
         <source>Job Queue Check frequency (in seconds)</source>
@@ -10497,7 +10498,7 @@ name cannot be blank.</source>
     <message>
         <location filename="../programs/mythtv-setup/backendsettings.cpp" line="614"/>
         <source>The command to run whenever this User Job number is scheduled.</source>
-        <translation>El comando a ejecutar cuando se pograme esta Tarea del Usuario.</translation>
+        <translation>Orden a ejecutar cuando se programe este número de Tarea de Usuario.</translation>
     </message>
     <message>
         <source>Allow jobs of this type to run on this backend.</source>
@@ -10510,7 +10511,7 @@ name cannot be blank.</source>
     <message>
         <location filename="../programs/mythtv-setup/backendsettings.cpp" line="969"/>
         <source>Job Queue (Global)</source>
-        <translation>Cola de tareas (global)</translation>
+        <translation>Cola de Tareas (global)</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/audiogeneralsettings.cpp" line="350"/>
@@ -10521,7 +10522,7 @@ name cannot be blank.</source>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="1286"/>
         <source>Program ID</source>
-        <translation>ID Programa</translation>
+        <translation>ID de Programa</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/recordingrule.cpp" line="229"/>
@@ -10533,7 +10534,7 @@ name cannot be blank.</source>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="3047"/>
         <source>Scale video as necessary</source>
-        <translation>Escalar video si necesario</translation>
+        <translation>Ajustar imagen según necesidad</translation>
     </message>
     <message>
         <source>If checked, video will be scaled to fit your window or screen. If unchecked, video will never be made larger than its actual pixel size.</source>
@@ -10542,18 +10543,18 @@ name cannot be blank.</source>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="3058"/>
         <source>Frames to skip in fullscreen mode</source>
-        <translation>Fotogramas a saltar a pantalla completa</translation>
+        <translation>Fotogramas a saltar en modo pantalla completa</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="3060"/>
         <source>Video displayed in fullscreen or non-windowed mode will skip this many frames for each frame drawn. Set to 0 to show every frame. Only valid when either &quot;Use GUI size for TV playback&quot; or &quot;Run the frontend in a window&quot; is not checked.</source>
-        <translation>El video mostrado a pantalla completa o sin ventana saltará este número de fotogramas por cada uno dibujado. Fíjelo a 0 para mostrar todos los fotogramas. Sólo es válido cuando no estén marcados &apos;Usar tamaño GUI para TV&apos; o &apos;Ejecutar el interfaz en una ventana&apos;.</translation>
+        <translation>La imagen mostrada en pantalla completa o en modo sin ventana saltará este número de fotogramas por cada uno dibujado. Fíjelo a 0 para mostrar todos los fotogramas. Sólo es válido cuando no estén marcados &apos;Usar el tamaño de la GUI para reproducir la TV&apos; o &apos;Ejecutar el cliente en una ventana&apos;.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="3071"/>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="3108"/>
         <source>Video in main window</source>
-        <translation>Video en ventana principal</translation>
+        <translation>Imagen en la ventana principal</translation>
     </message>
     <message>
         <source>If checked, video will be displayed in the main GUI window. Disable this when you only want video on the desktop or in a floating window. Only valid when &quot;Use GUI size for TV playback&quot; and &quot;Run the frontend in a window&quot; are checked.</source>
@@ -13908,7 +13909,7 @@ Most DVB-S transponders transmit at 27.5 million symbols per second.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/mythdvdplayer.cpp" line="555"/>
+        <location filename="../libs/libmythtv/mythdvdplayer.cpp" line="558"/>
         <source>DVD Menu Not Available</source>
         <translation type="unfinished"></translation>
     </message>
@@ -17613,8 +17614,8 @@ You may have to use the eject button under its tray.</source>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1107"/>
         <source>%n day(s)</source>
         <translation type="unfinished">
-            <numerusform></numerusform>
-            <numerusform></numerusform>
+            <numerusform>%n día</numerusform>
+            <numerusform>%n días</numerusform>
         </translation>
     </message>
     <message>
@@ -18482,7 +18483,7 @@ Revisa la configuración del VideoManager</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/mythbdplayer.cpp" line="244"/>
-        <location filename="../libs/libmythtv/mythdvdplayer.cpp" line="643"/>
+        <location filename="../libs/libmythtv/mythdvdplayer.cpp" line="646"/>
         <source>Angle %1</source>
         <translation type="unfinished"></translation>
     </message>
@@ -18563,25 +18564,25 @@ Revisa la configuración del VideoManager</translation>
         <location filename="../programs/mythfrontend/videoglobalsettings.cpp" line="246"/>
         <source>G</source>
         <comment>PL 1 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>Todos los públicos</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videoglobalsettings.cpp" line="248"/>
         <source>PG</source>
         <comment>PL 2 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>Mayores de 7 años</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videoglobalsettings.cpp" line="250"/>
         <source>PG-13</source>
         <comment>PL3 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>Mayores de 13 años</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videoglobalsettings.cpp" line="252"/>
         <source>R:NC-17</source>
         <comment>PL4 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>Mayores de 17 años</translation>
     </message>
 </context>
 <context>
@@ -18589,7 +18590,7 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../libs/libmyth/rawsettingseditor.cpp" line="21"/>
         <source>Settings Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>Editor de Configuración</translation>
     </message>
 </context>
 <context>
@@ -18637,7 +18638,7 @@ Revisa la configuración del VideoManager</translation>
         <location filename="../libs/libmythtv/channelscan/scanwizardconfig.cpp" line="160"/>
         <location filename="../libs/libmythtv/channelscan/scanwizardconfig.cpp" line="166"/>
         <source>Full Scan</source>
-        <translation>Exploración completa</translation>
+        <translation>Exploración Completa</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/channelscan/scanwizardconfig.cpp" line="110"/>
@@ -18657,7 +18658,7 @@ Revisa la configuración del VideoManager</translation>
         <location filename="../libs/libmythtv/channelscan/scanwizardconfig.cpp" line="140"/>
         <location filename="../libs/libmythtv/channelscan/scanwizardconfig.cpp" line="162"/>
         <source>Full Scan (Tuned)</source>
-        <translation>Exploración completa (Sintonizado)</translation>
+        <translation>Exploración Completa (Sintonía)</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/channelscan/scanwizardconfig.cpp" line="118"/>
@@ -18672,7 +18673,7 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../libs/libmythtv/channelscan/scanwizardconfig.cpp" line="178"/>
         <source>ASI Scan</source>
-        <translation type="unfinished"></translation>
+        <translation>Exploración ASI</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/channelscan/scanwizardconfig.cpp" line="191"/>
@@ -18696,17 +18697,17 @@ Revisa la configuración del VideoManager</translation>
         <location filename="../libs/libmythtv/scanwizard.cpp" line="148"/>
         <location filename="../libs/libmythtv/scanwizard.cpp" line="167"/>
         <source>ScanWizard</source>
-        <translation>Asistente de exploración</translation>
+        <translation>Asistente de Exploración</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/scanwizard.cpp" line="149"/>
         <source>Programmer Error, see console</source>
-        <translation type="unfinished"></translation>
+        <translation>Error del Programador, ver la consola</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/scanwizard.cpp" line="168"/>
         <source>Error parsing parameters</source>
-        <translation>Error analizando parámetros</translation>
+        <translation>Error al analizar los parámetros</translation>
     </message>
 </context>
 <context>
@@ -18714,7 +18715,7 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../libs/libmythtv/channelscan/scanwizardconfig.cpp" line="36"/>
         <source>Scan Configuration</source>
-        <translation>Configuración de Exploración</translation>
+        <translation>Configuración de la Exploración</translation>
     </message>
 </context>
 <context>
@@ -18722,32 +18723,32 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="46"/>
         <source>New episode</source>
-        <translation type="unfinished"></translation>
+        <translation>Nuevo episodio</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="47"/>
         <source>Identifiable episode</source>
-        <translation type="unfinished"></translation>
+        <translation>Episodio identificable</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="48"/>
         <source>First showing</source>
-        <translation type="unfinished"></translation>
+        <translation>Estreno</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="49"/>
         <source>Primetime</source>
-        <translation type="unfinished"></translation>
+        <translation>Máxima audiencia</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="50"/>
         <source>Commercial free</source>
-        <translation type="unfinished"></translation>
+        <translation>Sin Anuncios</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="51"/>
         <source>High definition</source>
-        <translation type="unfinished"></translation>
+        <translation>Alta definición</translation>
     </message>
 </context>
 <context>
@@ -18760,7 +18761,7 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="573"/>
         <source>Prefer input %1</source>
-        <translation>Preferir entrada %1</translation>
+        <translation>Preferir la entrada %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="590"/>
@@ -18770,7 +18771,7 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="594"/>
         <source>Match duplicates using subtitle then description</source>
-        <translation>Buscar duplicados usando subtítulo y después descripción</translation>
+        <translation>Buscar duplicados usando subtítulo y luego descripción</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="598"/>
@@ -18795,17 +18796,17 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="616"/>
         <source>Look for duplicates in current recordings only</source>
-        <translation>Buscar duplicados solo en grabaciones actuales</translation>
+        <translation>Buscar duplicados sólo en grabaciones actuales</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="620"/>
         <source>Look for duplicates in previous recordings only</source>
-        <translation>Buscar duplicados solo en grabaciones anteriores</translation>
+        <translation>Buscar duplicados sólo en grabaciones anteriores</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="627"/>
         <source>Exclude unidentified episodes</source>
-        <translation>Excluir episodios sin identificar</translation>
+        <translation>Excluir episodios no identificados</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="632"/>
@@ -18815,12 +18816,12 @@ Revisa la configuración del VideoManager</translation>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="635"/>
         <source>Record new episodes only</source>
-        <translation>Grabar solo nuevos episodios</translation>
+        <translation>Grabar sólo nuevos episodios</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="638"/>
         <source>Record new episode first showings</source>
-        <translation>Grabar primera emisión de los nuevos episodios</translation>
+        <translation>Grabar estrenos de los nuevos episodios</translation>
     </message>
 </context>
 <context>
@@ -18837,7 +18838,7 @@ Revisa la configuración del VideoManager</translation>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="219"/>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="521"/>
         <source>Stop recording</source>
-        <translation>Parar grabación</translation>
+        <translation>Detener grabación</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="230"/>
@@ -18864,7 +18865,7 @@ Revisa la configuración del VideoManager</translation>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="287"/>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="539"/>
         <source>Modify Recording Options</source>
-        <translation type="unfinished"></translation>
+        <translation>Modificar Opciones de Grabación</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="270"/>
@@ -18872,7 +18873,7 @@ Revisa la configuración del VideoManager</translation>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="502"/>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="549"/>
         <source>Edit Options</source>
-        <translation>Editar opciones</translation>
+        <translation>Editar Opciones</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="276"/>
@@ -18880,7 +18881,7 @@ Revisa la configuración del VideoManager</translation>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="506"/>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="553"/>
         <source>Add Override</source>
-        <translation>Añadir anulación</translation>
+        <translation>Añadir Excepción</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="292"/>
@@ -18888,7 +18889,7 @@ Revisa la configuración del VideoManager</translation>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="501"/>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="548"/>
         <source>Edit Override</source>
-        <translation>Editar anulación</translation>
+        <translation>Editar Excepción</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="294"/>
@@ -18896,12 +18897,12 @@ Revisa la configuración del VideoManager</translation>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="499"/>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="537"/>
         <source>Clear Override</source>
-        <translation>Borrar anulación</translation>
+        <translation>Eliminar Excepción</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="328"/>
         <source>The following programs will be recorded instead:</source>
-        <translation type="unfinished">Los siguientes programas serán grabados en vez:</translation>
+        <translation>Los siguientes programas serán grabados en su lugar:</translation>
     </message>
     <message>
         <source> The following programs will be recorded instead:
@@ -18913,13 +18914,13 @@ Revisa la configuración del VideoManager</translation>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="385"/>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="482"/>
         <source>Record anyway</source>
-        <translation>Grabar de cualquier modo</translation>
+        <translation>Grabar de todas formas</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="390"/>
         <location filename="../programs/mythfrontend/schedulecommon.cpp" line="488"/>
         <source>Forget Previous</source>
-        <translation>Olvidar anterior</translation>
+        <translation>Olvidar Anteriores</translation>
     </message>
 </context>
 <context>
